<?php
  /* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Elastix version 2.0.4-5                                               |
  | http://www.elastix.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006 Palosanto Solutions S. A.                         |
  +----------------------------------------------------------------------+
  | Cdla. Nueva Kennedy Calle E 222 y 9na. Este                          |
  | Telfs. 2283-268, 2294-440, 2284-356                                  |
  | Guayaquil - Ecuador                                                  |
  | http://www.palosanto.com                                             |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  | The Original Code is: Elastix Open Source.                           |
  | The Initial Developer of the Original Code is PaloSanto Solutions    |
  +----------------------------------------------------------------------+
  $Id: index.php,v 1.1 2014-02-12 15:40:31 Federico Pereira fpereira@iperfex.com Exp $ */  

//include elastix framework
include_once "libs/paloSantoGrid.class.php";
include_once "libs/paloSantoForm.class.php";

function _moduleContent(&$smarty, $module_name)
{
    //include module files
    include_once "modules/$module_name/configs/default.conf.php";
    include_once "modules/$module_name/libs/paloSantoWebshell.class.php";
    include_once "libs/paloSantoJSON.class.php";

    //include file language agree to elastix configuration
    //if file language not exists, then include language by default (en)
    $lang=get_language();
    $base_dir=dirname($_SERVER['SCRIPT_FILENAME']);
    $lang_file="modules/$module_name/lang/$lang.lang";
    if (file_exists("$base_dir/$lang_file")) include_once "$lang_file";
    else include_once "modules/$module_name/lang/en.lang";

    //global variables
    global $arrConf;
    global $arrConfModule;
    global $arrLang;
    global $arrLangModule;
    $arrConf = array_merge($arrConf,$arrConfModule);
    $arrLang = array_merge($arrLang,$arrLangModule);

    //folder path for custom templates
    $templates_dir=(isset($arrConf['templates_dir']))?$arrConf['templates_dir']:'themes';
    $local_templates_dir="$base_dir/modules/$module_name/".$templates_dir.'/'.$arrConf['theme'];

    $content = viewFormWebshell($smarty, $module_name, $local_templates_dir, $arrConf);
    return $content;
}



function viewFormWebshell($smarty, $module_name, $local_templates_dir, $arrConf)
{

    $pWebShell = new paloSantoWebshell();
    $smarty->assign("title", _tr("WebShell"));	
    $smarty->assign("icon", "modules/$module_name/images/webshell.png");
    $htmlForm  = "<!-- Elastix WebShell by iPERFEX.COM -->";

    $WebShellStatus = $pWebShell->isWebshellActivated(); 

    if ($WebShellStatus == TRUE) {
	$htmlForm .= "<iframe classe='webshell' src='https://". $_SERVER['HTTP_HOST']."/webshell/' width='100%' height='650px'></iframe>";
    } else {
	$htmlForm .= "<p>&nbsp;&nbsp;"._tr("To enable the module ")."<a href='index.php?menu=webshellconf' style='font-weight:bold; color: #666666; text-decoration: none;' target='_parent'>"._tr("Click here.")."</a><p>";
	$htmlForm .= "<div style='text-align:center;'> <img src='modules/$module_name/images/terminal.png' width='547px' height='419px'/></div>";
    }

    $htmlForm .= "<div style='color: #444; text-decoration: none; text-align:center;'>Elastix WebShell based ShellInABox  modify <a href='http://www.iperfex.com' style='font-weight:bold; color: #666666; text-decoration: none;' target='_blank'>iPERFEX</a> - All Rights Reserve</div>";	
    $htmlForm .= "<!-- Elastix WebShell by iPERFEX.COM -->";

    return $htmlForm;
}

?>
