<?php
  /* vim: set expandtab tabstop=4 softtabstop=4 shiftwidth=4:
  Codificación: UTF-8
  +----------------------------------------------------------------------+
  | Elastix version 2.0.4-5                                               |
  | http://www.elastix.org                                               |
  +----------------------------------------------------------------------+
  | Copyright (c) 2006 Palosanto Solutions S. A.                         |
  +----------------------------------------------------------------------+
  | Cdla. Nueva Kennedy Calle E 222 y 9na. Este                          |
  | Telfs. 2283-268, 2294-440, 2284-356                                  |
  | Guayaquil - Ecuador                                                  |
  | http://www.palosanto.com                                             |
  +----------------------------------------------------------------------+
  | The contents of this file are subject to the General Public License  |
  | (GPL) Version 2 (the "License"); you may not use this file except in |
  | compliance with the License. You may obtain a copy of the License at |
  | http://www.opensource.org/licenses/gpl-license.php                   |
  |                                                                      |
  | Software distributed under the License is distributed on an "AS IS"  |
  | basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See  |
  | the License for the specific language governing rights and           |
  | limitations under the License.                                       |
  +----------------------------------------------------------------------+
  | The Original Code is: Elastix Open Source.                           |
  | The Initial Developer of the Original Code is PaloSanto Solutions    |
  +----------------------------------------------------------------------+
  $Id: paloSantoWebshell.class.php,v 1.1 2014-02-12 15:40:31 Federico Pereira fpereira@iperfex.com Exp $ */
  

class paloSantoWebshell{
    /**
     * Description error message
     *
     * @var string
     */
    var $errMsg;

    /**
     * Constructor. It sets the attribute errMsg to an empty string
     *
     */
    function paloSantoWebshell()
    {
        $this->errMsg = "";
    }


    /**
     * Function that verifies if the Webshell service is running
     *
     * @return  boolean   true if the Webshell service is running, false if not
     */
    function isWebshellActivated()
    {
        // Se requiere usar pidof directamente en lugar de service Webshell status
        // https://bugzilla.redhat.com/show_bug.cgi?id=684881
        $output = $retval = NULL;
        exec('/sbin/pidof -o $$ -o $PPID -o %PPID -x shellinaboxd', $output, $retval);
        foreach ($output as $linea) {
                if (preg_match('/\d+/', $linea)) return TRUE;
        }
        return FALSE;
    }

    /**
     * Function that returns the error attribute variable of this class
     *
     * @return  string   string with the error message
     */
    function getError()
    {
        return $this->errMsg;
    }
}
?>
